# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/orangepi/car/master

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/orangepi/car/master/build

# Include any dependencies generated for this target.
include third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/compiler_depend.make

# Include the progress variables for this target.
include third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/progress.make

# Include the compile flags for this target's objects.
include third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/flags.make

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/flags.make
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.o: ../third_party/mosquitto/client/rr_client.c
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/orangepi/car/master/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.o"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.o -MF CMakeFiles/mosquitto_rr.dir/rr_client.c.o.d -o CMakeFiles/mosquitto_rr.dir/rr_client.c.o -c /home/orangepi/car/master/third_party/mosquitto/client/rr_client.c

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mosquitto_rr.dir/rr_client.c.i"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/orangepi/car/master/third_party/mosquitto/client/rr_client.c > CMakeFiles/mosquitto_rr.dir/rr_client.c.i

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mosquitto_rr.dir/rr_client.c.s"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/orangepi/car/master/third_party/mosquitto/client/rr_client.c -o CMakeFiles/mosquitto_rr.dir/rr_client.c.s

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/flags.make
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.o: ../third_party/mosquitto/client/pub_shared.c
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/orangepi/car/master/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building C object third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.o"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.o -MF CMakeFiles/mosquitto_rr.dir/pub_shared.c.o.d -o CMakeFiles/mosquitto_rr.dir/pub_shared.c.o -c /home/orangepi/car/master/third_party/mosquitto/client/pub_shared.c

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mosquitto_rr.dir/pub_shared.c.i"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/orangepi/car/master/third_party/mosquitto/client/pub_shared.c > CMakeFiles/mosquitto_rr.dir/pub_shared.c.i

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mosquitto_rr.dir/pub_shared.c.s"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/orangepi/car/master/third_party/mosquitto/client/pub_shared.c -o CMakeFiles/mosquitto_rr.dir/pub_shared.c.s

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/flags.make
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o: ../third_party/mosquitto/client/sub_client_output.c
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/orangepi/car/master/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building C object third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o -MF CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o.d -o CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o -c /home/orangepi/car/master/third_party/mosquitto/client/sub_client_output.c

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mosquitto_rr.dir/sub_client_output.c.i"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/orangepi/car/master/third_party/mosquitto/client/sub_client_output.c > CMakeFiles/mosquitto_rr.dir/sub_client_output.c.i

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mosquitto_rr.dir/sub_client_output.c.s"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/orangepi/car/master/third_party/mosquitto/client/sub_client_output.c -o CMakeFiles/mosquitto_rr.dir/sub_client_output.c.s

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/flags.make
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o: ../third_party/mosquitto/client/client_shared.c
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/orangepi/car/master/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building C object third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o -MF CMakeFiles/mosquitto_rr.dir/client_shared.c.o.d -o CMakeFiles/mosquitto_rr.dir/client_shared.c.o -c /home/orangepi/car/master/third_party/mosquitto/client/client_shared.c

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mosquitto_rr.dir/client_shared.c.i"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/orangepi/car/master/third_party/mosquitto/client/client_shared.c > CMakeFiles/mosquitto_rr.dir/client_shared.c.i

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mosquitto_rr.dir/client_shared.c.s"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/orangepi/car/master/third_party/mosquitto/client/client_shared.c -o CMakeFiles/mosquitto_rr.dir/client_shared.c.s

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/flags.make
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.o: ../third_party/mosquitto/client/client_props.c
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.o: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/orangepi/car/master/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building C object third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.o"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.o -MF CMakeFiles/mosquitto_rr.dir/client_props.c.o.d -o CMakeFiles/mosquitto_rr.dir/client_props.c.o -c /home/orangepi/car/master/third_party/mosquitto/client/client_props.c

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/mosquitto_rr.dir/client_props.c.i"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/orangepi/car/master/third_party/mosquitto/client/client_props.c > CMakeFiles/mosquitto_rr.dir/client_props.c.i

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/mosquitto_rr.dir/client_props.c.s"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/orangepi/car/master/third_party/mosquitto/client/client_props.c -o CMakeFiles/mosquitto_rr.dir/client_props.c.s

# Object files for target mosquitto_rr
mosquitto_rr_OBJECTS = \
"CMakeFiles/mosquitto_rr.dir/rr_client.c.o" \
"CMakeFiles/mosquitto_rr.dir/pub_shared.c.o" \
"CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o" \
"CMakeFiles/mosquitto_rr.dir/client_shared.c.o" \
"CMakeFiles/mosquitto_rr.dir/client_props.c.o"

# External object files for target mosquitto_rr
mosquitto_rr_EXTERNAL_OBJECTS =

third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/rr_client.c.o
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/pub_shared.c.o
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/sub_client_output.c.o
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/client_props.c.o
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/build.make
third_party/mosquitto/client/mosquitto_rr: /usr/lib/aarch64-linux-gnu/libcjson.so
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/lib/libmosquitto_static.a
third_party/mosquitto/client/mosquitto_rr: /usr/lib/aarch64-linux-gnu/libssl.so
third_party/mosquitto/client/mosquitto_rr: /usr/lib/aarch64-linux-gnu/libcrypto.so
third_party/mosquitto/client/mosquitto_rr: third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/orangepi/car/master/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Linking C executable mosquitto_rr"
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/mosquitto_rr.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/build: third_party/mosquitto/client/mosquitto_rr
.PHONY : third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/build

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/clean:
	cd /home/orangepi/car/master/build/third_party/mosquitto/client && $(CMAKE_COMMAND) -P CMakeFiles/mosquitto_rr.dir/cmake_clean.cmake
.PHONY : third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/clean

third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/depend:
	cd /home/orangepi/car/master/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/orangepi/car/master /home/orangepi/car/master/third_party/mosquitto/client /home/orangepi/car/master/build /home/orangepi/car/master/build/third_party/mosquitto/client /home/orangepi/car/master/build/third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : third_party/mosquitto/client/CMakeFiles/mosquitto_rr.dir/depend

